Commit 03ee726f authored by Michael Albinus's avatar Michael Albinus

; Add comment to `customize-package-emacs-version-alist'

parent bce1d1af
......@@ -60,7 +60,11 @@
(match-string 0 (emacs-version)))))))
(unless (string-match "\\`ok\\'" x) (error "%s" x)))
;; Tramp versions integrated into Emacs.
;; Tramp versions integrated into Emacs. If a user option declares a
;; `:package-version' which doesn't belong to an integrated Tramp
;; version, it must be added here as well (see `tramp-syntax', for
;; example). This can be checked by something like
;; (customize-changed "26.1")
(add-to-list
'customize-package-emacs-version-alist
'(Tramp ("2.0.55" . "22.1") ("2.0.57" . "22.2") ("2.0.58-pre" . "22.3")
......@@ -69,8 +73,8 @@
("2.2.3-24.1" . "24.1") ("2.2.3-24.1" . "24.2") ("2.2.6-24.3" . "24.3")
("2.2.9-24.4" . "24.4") ("2.2.11-24.5" . "24.5")
("2.2.13.25.1" . "25.1") ("2.2.13.25.2" . "25.2")
("2.2.13.25.2" . "25.3") ("2.3.3" . "26.1")
("2.3.3.26.1" . "26.1") ("2.3.5.26.2" . "26.2")))
("2.2.13.25.2" . "25.3")
("2.3.3" . "26.1") ("2.3.3.26.1" . "26.1") ("2.3.5.26.2" . "26.2")))
(add-hook 'tramp-unload-hook
(lambda ()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment